﻿Imports Npgsql
Imports System.Data
Partial Class _Default
    Inherits System.Web.UI.Page


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'define os parâmetros da conexão 
        Dim conn As NpgsqlConnection = Nothing
        Dim server As String = "127.0.0.1"
        Dim port As String = "5432"
        Dim database As String = "macoratti"
        Dim userId As String = "macoratti"
        Dim userPassword As String = "******"

        'define a string de conexão
        Dim strcon As String = String.Format("Server={0};Port={1};Database={2};User Id={3};Password={4};", server, port, database, userId, userPassword)

        Try
            'Instancia NpgsqlConnection na variavel conn
            conn = New NpgsqlConnection(strcon)
            'Abre a conexão
            conn.Open()
            'Declara e atribui a instrucao SQL de consulta
            Dim SQL As String = "SELECT * from public.clientes"
            'Instancia o NpgsqlDataAdapter responsavel pela comunicação 
            'é feita a leitura dos dados preenchendo o dataset 
            Dim da As Npgsql.NpgsqlDataAdapter = New NpgsqlDataAdapter(SQL, conn)
            'Instacia um DataSet
            Dim ds As DataSet = New DataSet()
            'Preenche o DataAdapter 
            da.Fill(ds, "Clientes")
            'Atribui um Datasource a Grid
            GridView1.DataSource = ds.Tables(0).DefaultView
            GridView1.DataBind()
        Catch ex As Exception
            lblmsg.Text = ex.Message
        Finally
            If Not conn Is Nothing Then
                If conn.State = Data.ConnectionState.Open Then
                    conn.Close()
                End If
            End If
        End Try

    End Sub
End Class
